# CleanSlate

CleanSlate is an Android application designed to ensure user privacy and protect sensitive data. It allows users to remotely wipe their device in the unfortunate event of it being lost or stolen. With CleanSlate, your privacy is always in your hands.

## Features

- **Remote Wipe:** Securely erase all data on your device remotely.
- **Authentication System:** Prevent unauthorized access to the wiping function.
- **Customizable Wipe Triggers:** Configure how and when the remote wipe can be initiated.
- **Minimal Footprint:** Lightweight and optimized for minimal impact on device performance.

## Installation

1. Clone this repository to your local machine:
   ```bash
   git clone https://github.com/khalifarsm/botox-android.git
   ```
2. Open the project in Android Studio.
3. Sync the Gradle files and ensure all dependencies are installed.
4. Build and run the app on your Android device or emulator.

## Usage

1. install the app to your device and grant all priveleges required.
2. register your account
3. save you user ID and password in a safe place.
4. [In case of a lost or stolen device, initiate a wipe through the chosen trigger](https://cleanslate.mobi/reset).

## Permissions

CleanSlate requires the following permissions for full functionality:

- **Device Administration:** To securely wipe the device.
- **Internet Access:** For online dashboard or email notifications.

## Security and Privacy

CleanSlate ensures your data is securely erased and inaccessible to unauthorized users. It does not store or share user data without consent.
https://cleanslate.mobi/privacy

## Contributing

Contributions are welcome! Follow these steps to contribute:

1. Fork the repository.
2. Create a new branch for your feature or bug fix:
   ```bash
   git checkout -b feature-name
   ```
3. Commit your changes and push the branch:
   ```bash
   git commit -m "Add feature or fix bug"
   git push origin feature-name
   ```
4. Create a pull request to the `main` branch of this repository.

## License

This project is licensed under the [MIT License](LICENSE).

## Contact

For any questions or feedback, please reach out to us at [support@cleanslateapp.com](mailto:support@cleanslateapp.com).

---

We hope CleanSlate helps you feel secure, knowing your privacy is protected even in challenging situations.

